Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class SavePersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractDynamicPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractSavePersistentMethod
                  org.codehaus.groovy.grails.orm.hibernate.metaclass.SavePersistentMethod

    public class SavePersistentMethod
    extends AbstractSavePersistentMethod

Follows the semantics of saveOrUpdate of scheduling the object for persistence when a flush occurs.

Authors:
  Steven Devijver
  Graeme Rocher

Since:
  0.1

Field Summary
`static java.util.regex.Pattern` | `METHOD_PATTERN`
`static java.lang.String` | `METHOD_SIGNATURE`

Fields inherited from class AbstractDynamicPersistentMethod
ERRORS_PROPERTY

Constructor Summary
`SavePersistentMethod(org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application, HibernateDatastore datastore)`
`SavePersistentMethod(org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application, GrailsDomainClass domainClass, HibernateDatastore datastore)`

Method Summary
`protected void` | `flushSession(org.hibernate.Session session)`
`protected java.lang.Object` | `performInsert(java.lang.Object target, boolean shouldFlush)`
`protected java.lang.Object` | `performSave(java.lang.Object target, boolean flush)`

Methods inherited from class AbstractSavePersistentMethod
clearDisabledValidations, clearDisabledValidations, doInvokeInternal, handleValidationError, isAutoValidationDisabled, performInsert, performSave, setErrorsOnInstance

Methods inherited from class AbstractDynamicPersistentMethod
doInvokeInternal, getHibernateTemplate, invoke, setObjectToReadOnly, setObjectToReadWrite, setupErrorsProperty

Methods inherited from class AbstractDynamicMethodInvocation
getPattern, invoke, isMethodMatch, setPattern

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### METHOD_PATTERN

    public static final java.util.regex.Pattern METHOD_PATTERN

### METHOD_SIGNATURE

    public static final java.lang.String METHOD_SIGNATURE

Constructor Detail

### SavePersistentMethod

    public SavePersistentMethod(org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application, HibernateDatastore datastore)

### SavePersistentMethod

    public SavePersistentMethod(org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application, GrailsDomainClass domainClass, HibernateDatastore datastore)

Method Detail

### flushSession

    protected void flushSession(org.hibernate.Session session)

### performInsert

    @Override
    protected java.lang.Object performInsert(java.lang.Object target, boolean shouldFlush)

### performSave

    @Override
    protected java.lang.Object performSave(java.lang.Object target, boolean flush)

Groovy Documentation